# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'endorser/version'

Gem::Specification.new do |spec|
  spec.name          = "endorser"
  spec.version       = Endorser::VERSION
  spec.authors       = ["Matthew Johnston", "Graham Christensen", "Oliver Garcia"]
  spec.email         = ["matt@zippykid.com", "graham@zippykid.com", "oliver@pressable.com"]
  spec.description   = %q{A small rest client library that signs the requests}
  spec.summary       = %q{A small rest client library that signs the requests}
  spec.homepage      = "https://github.com/zippykid/endorser"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency("rest-client", "~> 1.6")
  spec.add_dependency("endorser-receipt", "~> 1.0.0")

  spec.add_development_dependency("bundler", "~> 1.3")
  spec.add_development_dependency("rake")
  spec.add_development_dependency("rspec", "~> 2.14.0")
  spec.add_development_dependency("simplecov")
end
