require 'spec_helper'

describe Endorser do
  describe 'Endorser#configure' do
    it "should accept a block" do
      Endorser.configure do |config|
        @config = config
      end
      expect(@config).to be_a(Endorser::Configuration)
      @config = nil
    end
  end

  describe 'Endorser#logger' do
    subject { Endorser.logger }
    it { should be_a(Endorser::NullObject) }
  end
end
